These docs are for v2.3. Click to read the latest docs for v3.0.

Update Asbestos record

Sample Request:
POST /api/v2.0/properties/asbestos/d73063ae-1176-4bc3-b49b-b19c09275f8c/review

    This endpoint requires all data to be a JSON in the body of the request
    and Content-type header to be set to "application/json".
    
    Below are the corresponding values for each Asbestos Status
    
        1 - Confirmed
        2 - Suspected
        3 - Removed 
        4 - Deleted
        5 - Cloned
    
    Note: If a value beyond the range above is added to the JSON body no change will be made to the status.
    
    body JSON:
    {
       "Condition": "Exposed",
       "Comments": "Updated From API",
       "SampleDate": "23/05/2023"
       "Status": "1",
    }
    
Sample Response:
    {
       "asbestosId": "13655e94-ee83-45e3-88fd-a7d90ba8bea6",
       "propertyId": "f524d111-abe1-4ac8-b6bf-f3ac7c02dbfe",
       "sampleDate": "23/05/2023 00:00",
       "subLocation": "Bathroom",
       "productType": "Boards",
       "condition": "Exposed",
       "surfaceType": "Bath Panel",
       "asbestosType": "Anthophyllite",
       "actionPlan": "Removal",
       "comments": "Updated From API",
       "asbestosStatus": "Confirmed"
   }

Required Permission(s): Property.View

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required
Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json